<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>PreviewerQSS</class>
 <widget class="QWidget" name="PreviewerQSS">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>600</width>
    <height>970</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string/>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout_7">
   <item>
    <widget class="QLabel" name="previewLabel">
     <property name="font">
      <font>
       <pointsize>12</pointsize>
       <bold>true</bold>
      </font>
     </property>
     <property name="text">
      <string>Preview Style</string>
     </property>
     <property name="alignment">
      <set>Qt::AlignCenter</set>
     </property>
    </widget>
   </item>
   <item>
    <layout class="QHBoxLayout" name="horizontalLayout_7">
     <item>
      <widget class="QLabel" name="label_3">
       <property name="text">
        <string>Style Icons Path:</string>
       </property>
      </widget>
     </item>
     <item>
      <widget class="EricPathPicker" name="styleIconsPathPicker" native="true">
       <property name="sizePolicy">
        <sizepolicy hsizetype="Expanding" vsizetype="Preferred">
         <horstretch>0</horstretch>
         <verstretch>0</verstretch>
        </sizepolicy>
       </property>
       <property name="focusPolicy">
        <enum>Qt::StrongFocus</enum>
       </property>
       <property name="toolTip">
        <string>Enter the path to the icons used within the style sheet</string>
       </property>
      </widget>
     </item>
    </layout>
   </item>
   <item>
    <widget class="QScrollArea" name="scrollArea">
     <property name="verticalScrollBarPolicy">
      <enum>Qt::ScrollBarAlwaysOn</enum>
     </property>
     <property name="horizontalScrollBarPolicy">
      <enum>Qt::ScrollBarAlwaysOn</enum>
     </property>
     <property name="widgetResizable">
      <bool>true</bool>
     </property>
     <widget class="QWidget" name="scrollAreaWidgetContents">
      <property name="geometry">
       <rect>
        <x>0</x>
        <y>0</y>
        <width>566</width>
        <height>882</height>
       </rect>
      </property>
      <layout class="QVBoxLayout" name="verticalLayout_2">
       <item>
        <widget class="QTabWidget" name="tabWidget">
         <property name="currentIndex">
          <number>0</number>
         </property>
         <property name="tabsClosable">
          <bool>true</bool>
         </property>
         <widget class="QWidget" name="tab_1">
          <attribute name="title">
           <string notr="true">Tab 1</string>
          </attribute>
          <layout class="QGridLayout" name="gridLayout_7">
           <item row="0" column="0">
            <widget class="QGroupBox" name="groupBox_2">
             <property name="title">
              <string>Enabled</string>
             </property>
             <property name="checkable">
              <bool>true</bool>
             </property>
             <layout class="QVBoxLayout" name="verticalLayout_4">
              <item>
               <layout class="QGridLayout" name="gridLayout_4">
                <item row="0" column="0">
                 <widget class="QRadioButton" name="radioButton">
                  <property name="text">
                   <string notr="true">RadioButton</string>
                  </property>
                 </widget>
                </item>
                <item row="0" column="1">
                 <widget class="QCheckBox" name="checkBox">
                  <property name="text">
                   <string notr="true">CheckBox</string>
                  </property>
                  <property name="tristate">
                   <bool>true</bool>
                  </property>
                 </widget>
                </item>
                <item row="1" column="0">
                 <widget class="QPushButton" name="pushButton">
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="text">
                   <string notr="true">PushButton</string>
                  </property>
                  <property name="checkable">
                   <bool>true</bool>
                  </property>
                 </widget>
                </item>
                <item row="1" column="1">
                 <widget class="QToolButton" name="toolButton_1">
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="text">
                   <string notr="true">ToolButton 1</string>
                  </property>
                  <property name="popupMode">
                   <enum>QToolButton::DelayedPopup</enum>
                  </property>
                 </widget>
                </item>
                <item row="2" column="0">
                 <widget class="QToolButton" name="toolButton_2">
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="text">
                   <string notr="true">ToolButton 2</string>
                  </property>
                  <property name="popupMode">
                   <enum>QToolButton::MenuButtonPopup</enum>
                  </property>
                 </widget>
                </item>
                <item row="2" column="1">
                 <widget class="QToolButton" name="toolButton_3">
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="text">
                   <string notr="true">ToolButton 3</string>
                  </property>
                  <property name="popupMode">
                   <enum>QToolButton::InstantPopup</enum>
                  </property>
                 </widget>
                </item>
                <item row="3" column="0">
                 <widget class="QSpinBox" name="spinBox"/>
                </item>
                <item row="3" column="1">
                 <widget class="QDoubleSpinBox" name="doubleSpinBox"/>
                </item>
                <item row="4" column="0">
                 <widget class="QTimeEdit" name="timeEdit"/>
                </item>
                <item row="4" column="1">
                 <widget class="QDateEdit" name="dateEdit"/>
                </item>
                <item row="5" column="0">
                 <widget class="QLCDNumber" name="lcdNumber">
                  <property name="digitCount">
                   <number>10</number>
                  </property>
                  <property name="intValue" stdset="0">
                   <number>1234567890</number>
                  </property>
                 </widget>
                </item>
                <item row="5" column="1">
                 <widget class="QLabel" name="label">
                  <property name="text">
                   <string notr="true">Label with &lt;a href=&quot;http://google.com&quot;&gt;link&lt;/a&gt;</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
              <item>
               <widget class="QCommandLinkButton" name="commandLinkButton">
                <property name="text">
                 <string notr="true">CommandLinkButton</string>
                </property>
               </widget>
              </item>
              <item>
               <widget class="QDialogButtonBox" name="buttonBox">
                <property name="standardButtons">
                 <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
                </property>
               </widget>
              </item>
              <item>
               <layout class="QVBoxLayout" name="verticalLayout_3">
                <item>
                 <widget class="QProgressBar" name="progressBar">
                  <property name="maximum">
                   <number>20</number>
                  </property>
                  <property name="value">
                   <number>10</number>
                  </property>
                 </widget>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="horizontalLayout">
                  <item>
                   <widget class="QComboBox" name="readOnlyComboBox">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <item>
                     <property name="text">
                      <string notr="true">1</string>
                     </property>
                    </item>
                    <item>
                     <property name="text">
                      <string notr="true">2</string>
                     </property>
                    </item>
                    <item>
                     <property name="text">
                      <string notr="true">3</string>
                     </property>
                    </item>
                   </widget>
                  </item>
                  <item>
                   <widget class="QComboBox" name="editableComboBox">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="editable">
                     <bool>true</bool>
                    </property>
                    <property name="placeholderText">
                     <string>Enter text</string>
                    </property>
                    <item>
                     <property name="text">
                      <string notr="true">1</string>
                     </property>
                    </item>
                    <item>
                     <property name="text">
                      <string notr="true">2</string>
                     </property>
                    </item>
                    <item>
                     <property name="text">
                      <string notr="true">3</string>
                     </property>
                    </item>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="horizontalLayout_4">
                  <item>
                   <widget class="QLineEdit" name="lineEdit">
                    <property name="text">
                     <string notr="true">Line edit</string>
                    </property>
                    <property name="placeholderText">
                     <string>Enter text</string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QLineEdit" name="passwordEdit">
                    <property name="text">
                     <string notr="true">Password</string>
                    </property>
                    <property name="echoMode">
                     <enum>QLineEdit::Password</enum>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="QDateTimeEdit" name="dateTimeEdit">
                  <property name="calendarPopup">
                   <bool>true</bool>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
              <item>
               <layout class="QHBoxLayout" name="horizontalLayout_2">
                <item>
                 <spacer name="horizontalSpacer">
                  <property name="orientation">
                   <enum>Qt::Horizontal</enum>
                  </property>
                  <property name="sizeHint" stdset="0">
                   <size>
                    <width>13</width>
                    <height>20</height>
                   </size>
                  </property>
                 </spacer>
                </item>
                <item>
                 <layout class="QGridLayout" name="gridLayout">
                  <item row="0" column="1" colspan="3">
                   <widget class="QScrollBar" name="horizontalScrollBar">
                    <property name="orientation">
                     <enum>Qt::Horizontal</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="0" rowspan="3">
                   <widget class="QScrollBar" name="verticalScrollBar">
                    <property name="orientation">
                     <enum>Qt::Vertical</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="3">
                   <widget class="Line" name="horizontalLine">
                    <property name="orientation">
                     <enum>Qt::Horizontal</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="2" column="3">
                   <widget class="QSlider" name="horizontalSlider">
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="value">
                     <number>30</number>
                    </property>
                    <property name="orientation">
                     <enum>Qt::Horizontal</enum>
                    </property>
                    <property name="tickPosition">
                     <enum>QSlider::TicksAbove</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="3" column="1">
                   <widget class="Line" name="verticalLine">
                    <property name="orientation">
                     <enum>Qt::Vertical</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="3" column="2">
                   <widget class="QSlider" name="verticalSlider">
                    <property name="value">
                     <number>30</number>
                    </property>
                    <property name="orientation">
                     <enum>Qt::Vertical</enum>
                    </property>
                    <property name="tickPosition">
                     <enum>QSlider::TicksAbove</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="3" column="3">
                   <widget class="QDial" name="dial">
                    <property name="notchesVisible">
                     <bool>true</bool>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <spacer name="horizontalSpacer_2">
                  <property name="orientation">
                   <enum>Qt::Horizontal</enum>
                  </property>
                  <property name="sizeHint" stdset="0">
                   <size>
                    <width>17</width>
                    <height>134</height>
                   </size>
                  </property>
                 </spacer>
                </item>
               </layout>
              </item>
             </layout>
            </widget>
           </item>
           <item row="0" column="1">
            <widget class="QGroupBox" name="groupBox_3">
             <property name="title">
              <string>Disabled</string>
             </property>
             <layout class="QVBoxLayout" name="verticalLayout_5">
              <item>
               <layout class="QGridLayout" name="gridLayout_5">
                <item row="0" column="0">
                 <widget class="QRadioButton" name="disabledRadioButton">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="text">
                   <string notr="true">RadioButton</string>
                  </property>
                 </widget>
                </item>
                <item row="0" column="1">
                 <widget class="QCheckBox" name="disabledCheckBox">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="text">
                   <string notr="true">CheckBox</string>
                  </property>
                  <property name="tristate">
                   <bool>true</bool>
                  </property>
                 </widget>
                </item>
                <item row="1" column="0">
                 <widget class="QPushButton" name="disabledPushButton">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="text">
                   <string notr="true">PushButton</string>
                  </property>
                  <property name="checkable">
                   <bool>true</bool>
                  </property>
                 </widget>
                </item>
                <item row="1" column="1">
                 <widget class="QToolButton" name="disabledToolButton_1">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="text">
                   <string notr="true">ToolButton 1</string>
                  </property>
                  <property name="checkable">
                   <bool>true</bool>
                  </property>
                  <property name="popupMode">
                   <enum>QToolButton::InstantPopup</enum>
                  </property>
                 </widget>
                </item>
                <item row="2" column="0">
                 <widget class="QToolButton" name="disabledToolButton_2">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="text">
                   <string notr="true">ToolButton 2</string>
                  </property>
                  <property name="popupMode">
                   <enum>QToolButton::MenuButtonPopup</enum>
                  </property>
                 </widget>
                </item>
                <item row="2" column="1">
                 <widget class="QToolButton" name="disabledToolButton_3">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="sizePolicy">
                   <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                    <horstretch>0</horstretch>
                    <verstretch>0</verstretch>
                   </sizepolicy>
                  </property>
                  <property name="text">
                   <string notr="true">ToolButton 3</string>
                  </property>
                  <property name="popupMode">
                   <enum>QToolButton::InstantPopup</enum>
                  </property>
                 </widget>
                </item>
                <item row="3" column="0">
                 <widget class="QSpinBox" name="disabledSpinBox">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                 </widget>
                </item>
                <item row="3" column="1">
                 <widget class="QDoubleSpinBox" name="disabledDoubleSpinBox">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                 </widget>
                </item>
                <item row="4" column="0">
                 <widget class="QTimeEdit" name="disabledTimeEdit">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                 </widget>
                </item>
                <item row="4" column="1">
                 <widget class="QDateEdit" name="disabledDateEdit">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                 </widget>
                </item>
                <item row="5" column="0">
                 <widget class="QLCDNumber" name="disabledLcdNumber">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="digitCount">
                   <number>10</number>
                  </property>
                  <property name="intValue" stdset="0">
                   <number>1234567890</number>
                  </property>
                 </widget>
                </item>
                <item row="5" column="1">
                 <widget class="QLabel" name="disabledLabel">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="text">
                   <string notr="true">Label with &lt;a href=&quot;http://google.com&quot;&gt;link&lt;/a&gt;</string>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
              <item>
               <widget class="QCommandLinkButton" name="disabledCommandLinkButton">
                <property name="enabled">
                 <bool>false</bool>
                </property>
                <property name="text">
                 <string notr="true">CommandLinkButton</string>
                </property>
               </widget>
              </item>
              <item>
               <widget class="QDialogButtonBox" name="disabledButtonBox">
                <property name="enabled">
                 <bool>false</bool>
                </property>
                <property name="standardButtons">
                 <set>QDialogButtonBox::Cancel|QDialogButtonBox::Ok</set>
                </property>
               </widget>
              </item>
              <item>
               <layout class="QVBoxLayout" name="verticalLayout_6">
                <item>
                 <widget class="QProgressBar" name="disabledProgressBar">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="maximum">
                   <number>20</number>
                  </property>
                  <property name="value">
                   <number>10</number>
                  </property>
                 </widget>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="horizontalLayout_3">
                  <item>
                   <widget class="QComboBox" name="disabledReadOnlyComboBox">
                    <property name="enabled">
                     <bool>false</bool>
                    </property>
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <item>
                     <property name="text">
                      <string notr="true">1</string>
                     </property>
                    </item>
                    <item>
                     <property name="text">
                      <string notr="true">2</string>
                     </property>
                    </item>
                    <item>
                     <property name="text">
                      <string notr="true">3</string>
                     </property>
                    </item>
                   </widget>
                  </item>
                  <item>
                   <widget class="QComboBox" name="disabledEditableComboBox">
                    <property name="enabled">
                     <bool>false</bool>
                    </property>
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="editable">
                     <bool>true</bool>
                    </property>
                    <item>
                     <property name="text">
                      <string notr="true">1</string>
                     </property>
                    </item>
                    <item>
                     <property name="text">
                      <string notr="true">2</string>
                     </property>
                    </item>
                    <item>
                     <property name="text">
                      <string notr="true">3</string>
                     </property>
                    </item>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <layout class="QHBoxLayout" name="horizontalLayout_5">
                  <item>
                   <widget class="QLineEdit" name="disabledLineEdit">
                    <property name="enabled">
                     <bool>false</bool>
                    </property>
                    <property name="text">
                     <string notr="true">Line edit</string>
                    </property>
                   </widget>
                  </item>
                  <item>
                   <widget class="QLineEdit" name="disabledPasswordEdit">
                    <property name="enabled">
                     <bool>false</bool>
                    </property>
                    <property name="text">
                     <string notr="true">Password</string>
                    </property>
                    <property name="echoMode">
                     <enum>QLineEdit::Password</enum>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <widget class="QDateTimeEdit" name="disabledDateTimeEdit">
                  <property name="enabled">
                   <bool>false</bool>
                  </property>
                  <property name="calendarPopup">
                   <bool>true</bool>
                  </property>
                 </widget>
                </item>
               </layout>
              </item>
              <item>
               <layout class="QHBoxLayout" name="horizontalLayout_6">
                <item>
                 <spacer name="horizontalSpacer_3">
                  <property name="orientation">
                   <enum>Qt::Horizontal</enum>
                  </property>
                  <property name="sizeHint" stdset="0">
                   <size>
                    <width>13</width>
                    <height>20</height>
                   </size>
                  </property>
                 </spacer>
                </item>
                <item>
                 <layout class="QGridLayout" name="gridLayout_6">
                  <item row="0" column="1" colspan="3">
                   <widget class="QScrollBar" name="disabledHorizontalScrollBar">
                    <property name="enabled">
                     <bool>false</bool>
                    </property>
                    <property name="orientation">
                     <enum>Qt::Horizontal</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="0" rowspan="3">
                   <widget class="QScrollBar" name="disabledVerticalScrollBar">
                    <property name="enabled">
                     <bool>false</bool>
                    </property>
                    <property name="orientation">
                     <enum>Qt::Vertical</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="1" column="3">
                   <widget class="Line" name="horizontalLine_2">
                    <property name="orientation">
                     <enum>Qt::Horizontal</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="2" column="3">
                   <widget class="QSlider" name="disabledHorizontalSlider">
                    <property name="enabled">
                     <bool>false</bool>
                    </property>
                    <property name="sizePolicy">
                     <sizepolicy hsizetype="Minimum" vsizetype="Fixed">
                      <horstretch>0</horstretch>
                      <verstretch>0</verstretch>
                     </sizepolicy>
                    </property>
                    <property name="value">
                     <number>30</number>
                    </property>
                    <property name="orientation">
                     <enum>Qt::Horizontal</enum>
                    </property>
                    <property name="tickPosition">
                     <enum>QSlider::TicksAbove</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="3" column="1">
                   <widget class="Line" name="verticalLine_2">
                    <property name="orientation">
                     <enum>Qt::Vertical</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="3" column="2">
                   <widget class="QSlider" name="disabledVerticalSlider">
                    <property name="enabled">
                     <bool>false</bool>
                    </property>
                    <property name="value">
                     <number>30</number>
                    </property>
                    <property name="orientation">
                     <enum>Qt::Vertical</enum>
                    </property>
                    <property name="tickPosition">
                     <enum>QSlider::TicksAbove</enum>
                    </property>
                   </widget>
                  </item>
                  <item row="3" column="3">
                   <widget class="QDial" name="disabledDial">
                    <property name="enabled">
                     <bool>false</bool>
                    </property>
                    <property name="notchesVisible">
                     <bool>true</bool>
                    </property>
                   </widget>
                  </item>
                 </layout>
                </item>
                <item>
                 <spacer name="horizontalSpacer_4">
                  <property name="orientation">
                   <enum>Qt::Horizontal</enum>
                  </property>
                  <property name="sizeHint" stdset="0">
                   <size>
                    <width>13</width>
                    <height>20</height>
                   </size>
                  </property>
                 </spacer>
                </item>
               </layout>
              </item>
             </layout>
            </widget>
           </item>
           <item row="1" column="0" colspan="2">
            <spacer name="verticalSpacer">
             <property name="orientation">
              <enum>Qt::Vertical</enum>
             </property>
             <property name="sizeHint" stdset="0">
              <size>
               <width>20</width>
               <height>0</height>
              </size>
             </property>
            </spacer>
           </item>
          </layout>
         </widget>
         <widget class="QWidget" name="tab_2">
          <attribute name="title">
           <string notr="true">Tab 2</string>
          </attribute>
          <layout class="QGridLayout" name="gridLayout_2">
           <item row="0" column="0">
            <widget class="QListWidget" name="listWidget">
             <property name="alternatingRowColors">
              <bool>true</bool>
             </property>
             <property name="selectionMode">
              <enum>QAbstractItemView::ExtendedSelection</enum>
             </property>
             <item>
              <property name="text">
               <string notr="true">I1</string>
              </property>
              <property name="icon">
               <iconset>
                <normaloff>:/images/battery.png</normaloff>:/images/battery.png</iconset>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I2</string>
              </property>
              <property name="icon">
               <iconset>
                <normaloff>:/images/image-sunset.png</normaloff>:/images/image-sunset.png</iconset>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I3</string>
              </property>
              <property name="icon">
               <iconset>
                <normaloff>:/images/user.png</normaloff>:/images/user.png</iconset>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I4</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I5</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I6</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I7</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I8</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I9</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I10</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I11</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I12</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I14</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I15</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I16</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I17</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I18</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I19</string>
              </property>
             </item>
             <item>
              <property name="text">
               <string notr="true">I20</string>
              </property>
             </item>
            </widget>
           </item>
           <item row="0" column="1">
            <widget class="QListWidget" name="iconsListWidget">
             <property name="alternatingRowColors">
              <bool>true</bool>
             </property>
             <property name="selectionMode">
              <enum>QAbstractItemView::ExtendedSelection</enum>
             </property>
             <property name="viewMode">
              <enum>QListView::IconMode</enum>
             </property>
             <property name="sortingEnabled">
              <bool>true</bool>
             </property>
            </widget>
           </item>
           <item row="1" column="0">
            <widget class="QTableWidget" name="table">
             <property name="alternatingRowColors">
              <bool>true</bool>
             </property>
             <property name="sortingEnabled">
              <bool>true</bool>
             </property>
             <attribute name="horizontalHeaderShowSortIndicator" stdset="0">
              <bool>true</bool>
             </attribute>
             <attribute name="verticalHeaderShowSortIndicator" stdset="0">
              <bool>true</bool>
             </attribute>
             <row>
              <property name="text">
               <string notr="true">R1</string>
              </property>
             </row>
             <row>
              <property name="text">
               <string notr="true">R2</string>
              </property>
             </row>
             <row>
              <property name="text">
               <string notr="true">R3</string>
              </property>
             </row>
             <column>
              <property name="text">
               <string notr="true">C1</string>
              </property>
             </column>
             <column>
              <property name="text">
               <string notr="true">C2</string>
              </property>
             </column>
             <item row="0" column="0">
              <property name="text">
               <string notr="true">1,1</string>
              </property>
             </item>
             <item row="0" column="1">
              <property name="text">
               <string notr="true">1,2</string>
              </property>
             </item>
             <item row="1" column="0">
              <property name="text">
               <string notr="true">2,1</string>
              </property>
             </item>
             <item row="1" column="1">
              <property name="text">
               <string notr="true">2,2</string>
              </property>
             </item>
             <item row="2" column="0">
              <property name="text">
               <string notr="true">3,1</string>
              </property>
              <property name="flags">
               <set>ItemIsSelectable|ItemIsDragEnabled|ItemIsUserCheckable</set>
              </property>
             </item>
             <item row="2" column="1">
              <property name="text">
               <string notr="true">2,3</string>
              </property>
              <property name="flags">
               <set>ItemIsSelectable|ItemIsDragEnabled|ItemIsUserCheckable</set>
              </property>
             </item>
            </widget>
           </item>
           <item row="1" column="1">
            <widget class="QTreeWidget" name="tree">
             <property name="alternatingRowColors">
              <bool>true</bool>
             </property>
             <property name="selectionMode">
              <enum>QAbstractItemView::ExtendedSelection</enum>
             </property>
             <property name="allColumnsShowFocus">
              <bool>true</bool>
             </property>
             <attribute name="headerShowSortIndicator" stdset="0">
              <bool>true</bool>
             </attribute>
             <column>
              <property name="text">
               <string notr="true">C1</string>
              </property>
             </column>
             <column>
              <property name="text">
               <string notr="true">C2</string>
              </property>
             </column>
             <item>
              <property name="text">
               <string notr="true">R1</string>
              </property>
              <property name="text">
               <string notr="true"/>
              </property>
              <item>
               <property name="text">
                <string notr="true">C1</string>
               </property>
               <property name="checkState">
                <enum>Checked</enum>
               </property>
               <property name="text">
                <string notr="true">X1</string>
               </property>
               <property name="checkState">
                <enum>Checked</enum>
               </property>
              </item>
              <item>
               <property name="text">
                <string notr="true">C2</string>
               </property>
               <property name="checkState">
                <enum>PartiallyChecked</enum>
               </property>
               <property name="text">
                <string notr="true">X2</string>
               </property>
               <property name="checkState">
                <enum>PartiallyChecked</enum>
               </property>
              </item>
              <item>
               <property name="text">
                <string notr="true">C3</string>
               </property>
               <property name="checkState">
                <enum>Unchecked</enum>
               </property>
               <property name="text">
                <string notr="true">X3</string>
               </property>
               <property name="checkState">
                <enum>Unchecked</enum>
               </property>
              </item>
              <item>
               <property name="text">
                <string>C4</string>
               </property>
               <property name="text">
                <string>X4</string>
               </property>
               <property name="flags">
                <set>ItemIsSelectable|ItemIsDragEnabled|ItemIsUserCheckable</set>
               </property>
              </item>
             </item>
             <item>
              <property name="text">
               <string notr="true">R2</string>
              </property>
              <property name="flags">
               <set>ItemIsSelectable|ItemIsDragEnabled|ItemIsUserCheckable</set>
              </property>
             </item>
            </widget>
           </item>
          </layout>
         </widget>
         <widget class="QWidget" name="tab_3">
          <attribute name="title">
           <string notr="true">Tab 3</string>
          </attribute>
          <layout class="QVBoxLayout" name="verticalLayout">
           <item>
            <widget class="QSplitter" name="splitter_2">
             <property name="orientation">
              <enum>Qt::Vertical</enum>
             </property>
             <widget class="QSplitter" name="splitter">
              <property name="orientation">
               <enum>Qt::Horizontal</enum>
              </property>
              <widget class="QTextBrowser" name="textBrowser">
               <property name="undoRedoEnabled">
                <bool>true</bool>
               </property>
               <property name="html">
                <string notr="true">&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;meta charset=&quot;utf-8&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
p, li { white-space: pre-wrap; }
hr { height: 1px; border-width: 0; }
li.unchecked::marker { content: &quot;\2610&quot;; }
li.checked::marker { content: &quot;\2612&quot;; }
&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'Noto Sans'; font-size:10pt; font-weight:400; font-style:normal;&quot;&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-family:'MS Shell Dlg 2';&quot;&gt;Text &lt;/span&gt;&lt;span style=&quot; font-family:'MS Shell Dlg 2'; font-weight:600;&quot;&gt;browser&lt;/span&gt;&lt;span style=&quot; font-family:'MS Shell Dlg 2';&quot;&gt; &lt;/span&gt;&lt;span style=&quot; font-family:'MS Shell Dlg 2'; font-style:italic;&quot;&gt;with&lt;/span&gt;&lt;span style=&quot; font-family:'MS Shell Dlg 2';&quot;&gt; &lt;/span&gt;&lt;span style=&quot; font-family:'MS Shell Dlg 2'; text-decoration: underline;&quot;&gt;some&lt;/span&gt;&lt;span style=&quot; font-family:'MS Shell Dlg 2';&quot;&gt; &lt;/span&gt;&lt;span style=&quot; font-family:'MS Shell Dlg 2'; font-weight:600; font-style:italic;&quot;&gt;text &lt;/span&gt;&lt;span style=&quot; font-family:'MS Shell Dlg 2';&quot;&gt;and &lt;/span&gt;&lt;a href=&quot;http://google.com&quot;&gt;&lt;span style=&quot; font-family:'MS Shell Dlg 2'; text-decoration: underline; color:#0000ff;&quot;&gt;links&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
               </property>
               <property name="openLinks">
                <bool>false</bool>
               </property>
              </widget>
              <widget class="QTextEdit" name="textEdit">
               <property name="html">
                <string notr="true">&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;meta charset=&quot;utf-8&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
p, li { white-space: pre-wrap; }
hr { height: 1px; border-width: 0; }
li.unchecked::marker { content: &quot;\2610&quot;; }
li.checked::marker { content: &quot;\2612&quot;; }
&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'Noto Sans'; font-size:10pt; font-weight:400; font-style:normal;&quot;&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-family:'MS Shell Dlg 2';&quot;&gt;Text edit&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
               </property>
              </widget>
              <widget class="QCalendarWidget" name="calendarWidget"/>
             </widget>
             <widget class="QGroupBox" name="groupBox">
              <property name="sizePolicy">
               <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
                <horstretch>1</horstretch>
                <verstretch>0</verstretch>
               </sizepolicy>
              </property>
              <property name="title">
               <string notr="true">GroupBox</string>
              </property>
              <layout class="QGridLayout" name="gridLayout_3">
               <item row="0" column="0">
                <widget class="QScrollArea" name="scrollArea_2">
                 <property name="widgetResizable">
                  <bool>true</bool>
                 </property>
                 <widget class="QWidget" name="scrollAreaWidgetContents_2">
                  <property name="geometry">
                   <rect>
                    <x>0</x>
                    <y>0</y>
                    <width>500</width>
                    <height>529</height>
                   </rect>
                  </property>
                  <layout class="QGridLayout" name="gridLayout_9">
                   <item row="0" column="1">
                    <widget class="QFrame" name="frame">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
                       <horstretch>1</horstretch>
                       <verstretch>0</verstretch>
                      </sizepolicy>
                     </property>
                     <property name="frameShape">
                      <enum>QFrame::StyledPanel</enum>
                     </property>
                     <property name="frameShadow">
                      <enum>QFrame::Raised</enum>
                     </property>
                     <layout class="QGridLayout" name="gridLayout_10">
                      <item row="0" column="0">
                       <widget class="QLabel" name="label_2">
                        <property name="text">
                         <string notr="true">Frame</string>
                        </property>
                       </widget>
                      </item>
                      <item row="1" column="0">
                       <spacer name="verticalSpacer_2">
                        <property name="orientation">
                         <enum>Qt::Vertical</enum>
                        </property>
                        <property name="sizeHint" stdset="0">
                         <size>
                          <width>20</width>
                          <height>46</height>
                         </size>
                        </property>
                       </spacer>
                      </item>
                     </layout>
                    </widget>
                   </item>
                   <item row="0" column="0" rowspan="2">
                    <widget class="QToolBox" name="toolBox">
                     <property name="currentIndex">
                      <number>0</number>
                     </property>
                     <widget class="QWidget" name="page">
                      <property name="geometry">
                       <rect>
                        <x>0</x>
                        <y>0</y>
                        <width>68</width>
                        <height>447</height>
                       </rect>
                      </property>
                      <attribute name="label">
                       <string notr="true">Toolbox1</string>
                      </attribute>
                     </widget>
                     <widget class="QWidget" name="page_2">
                      <property name="geometry">
                       <rect>
                        <x>0</x>
                        <y>0</y>
                        <width>100</width>
                        <height>30</height>
                       </rect>
                      </property>
                      <attribute name="label">
                       <string notr="true">Toolbox2</string>
                      </attribute>
                     </widget>
                    </widget>
                   </item>
                   <item row="0" column="2">
                    <widget class="QDockWidget" name="dockWidget">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
                       <horstretch>1</horstretch>
                       <verstretch>1</verstretch>
                      </sizepolicy>
                     </property>
                     <property name="windowTitle">
                      <string notr="true">Dock widget</string>
                     </property>
                     <widget class="QWidget" name="dockWidgetContents_3"/>
                    </widget>
                   </item>
                   <item row="1" column="1" colspan="2">
                    <widget class="QMdiArea" name="mdiArea">
                     <property name="sizePolicy">
                      <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
                       <horstretch>0</horstretch>
                       <verstretch>2</verstretch>
                      </sizepolicy>
                     </property>
                    </widget>
                   </item>
                  </layout>
                 </widget>
                </widget>
               </item>
              </layout>
             </widget>
            </widget>
           </item>
          </layout>
         </widget>
        </widget>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
  </layout>
 </widget>
 <customwidgets>
  <customwidget>
   <class>EricPathPicker</class>
   <extends>QWidget</extends>
   <header>eric7/EricWidgets/EricPathPicker.h</header>
   <container>1</container>
  </customwidget>
 </customwidgets>
 <tabstops>
  <tabstop>styleIconsPathPicker</tabstop>
  <tabstop>scrollArea</tabstop>
  <tabstop>tabWidget</tabstop>
  <tabstop>groupBox_2</tabstop>
  <tabstop>radioButton</tabstop>
  <tabstop>checkBox</tabstop>
  <tabstop>pushButton</tabstop>
  <tabstop>toolButton_1</tabstop>
  <tabstop>spinBox</tabstop>
  <tabstop>doubleSpinBox</tabstop>
  <tabstop>timeEdit</tabstop>
  <tabstop>dateEdit</tabstop>
  <tabstop>commandLinkButton</tabstop>
  <tabstop>readOnlyComboBox</tabstop>
  <tabstop>editableComboBox</tabstop>
  <tabstop>lineEdit</tabstop>
  <tabstop>passwordEdit</tabstop>
  <tabstop>dateTimeEdit</tabstop>
  <tabstop>horizontalSlider</tabstop>
  <tabstop>verticalSlider</tabstop>
  <tabstop>dial</tabstop>
  <tabstop>disabledRadioButton</tabstop>
  <tabstop>disabledCheckBox</tabstop>
  <tabstop>disabledPushButton</tabstop>
  <tabstop>disabledToolButton_1</tabstop>
  <tabstop>disabledSpinBox</tabstop>
  <tabstop>disabledDoubleSpinBox</tabstop>
  <tabstop>disabledTimeEdit</tabstop>
  <tabstop>disabledDateEdit</tabstop>
  <tabstop>disabledCommandLinkButton</tabstop>
  <tabstop>disabledReadOnlyComboBox</tabstop>
  <tabstop>disabledEditableComboBox</tabstop>
  <tabstop>disabledLineEdit</tabstop>
  <tabstop>disabledPasswordEdit</tabstop>
  <tabstop>disabledDateTimeEdit</tabstop>
  <tabstop>disabledHorizontalSlider</tabstop>
  <tabstop>disabledVerticalSlider</tabstop>
  <tabstop>disabledDial</tabstop>
  <tabstop>listWidget</tabstop>
  <tabstop>iconsListWidget</tabstop>
  <tabstop>table</tabstop>
  <tabstop>tree</tabstop>
  <tabstop>textBrowser</tabstop>
  <tabstop>textEdit</tabstop>
  <tabstop>calendarWidget</tabstop>
  <tabstop>scrollArea_2</tabstop>
 </tabstops>
 <resources/>
 <connections>
  <connection>
   <sender>radioButton</sender>
   <signal>clicked(bool)</signal>
   <receiver>disabledRadioButton</receiver>
   <slot>setChecked(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>112</x>
     <y>171</y>
    </hint>
    <hint type="destinationlabel">
     <x>422</x>
     <y>171</y>
    </hint>
   </hints>
  </connection>
  <connection>
   <sender>pushButton</sender>
   <signal>toggled(bool)</signal>
   <receiver>disabledPushButton</receiver>
   <slot>setChecked(bool)</slot>
   <hints>
    <hint type="sourcelabel">
     <x>70</x>
     <y>189</y>
    </hint>
    <hint type="destinationlabel">
     <x>366</x>
     <y>195</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
